List Network Storage
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"storageId": "<string>",
"storageName": "<string>",
"storageSize": 123,
"clusterId": "<string>",
"clusterName": "<string>",
"price": "<string>"
}
],
"total": 123
}Storage
List Network Storage
GET
/
gpu-instance
/
openapi
/
v1
/
networkstorages
/
list
List Network Storage
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
Response
Example
Requestcurl --request GET \
--url 'https://api.novita.ai/gpu-instance/openapi/v1/networkstorages/list' \
--header 'Authorization: Bearer {{API Key}}'
{
"data": [
{
"storageId": "d4e82677-3f80-4020-a731-d15b1c589aa8",
"storageName": "123",
"storageSize": 10,
"clusterId": "5",
"clusterName": "EU-01",
"price": "100"
},
{
"storageId": "082383c6-bc28-4bfa-a3b3-b6d6511bdf64",
"storageName": "123",
"storageSize": 10,
"clusterId": "5",
"clusterName": "EU-01",
"price": "100"
}
],
"total": 2
}
Last modified on December 23, 2024
Was this page helpful?
āI